Skip to main content
GET
/
crypto
/
deposit-address
Get a crypto deposit address
curl --request GET \
  --url https://api.streamloop.app/v1/crypto/deposit-address \
  --header 'Authorization: Bearer <token>'
{
  "address": "<string>",
  "id": "<string>",
  "network": "<string>",
  "tag": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth 2.1 authorization-code flow with PKCE.

Query Parameters

currency
string
required

Currency id from GET /crypto/currencies (e.g. a USDT/USDC/BTC/ETH/SOL identifier).

Response

Successful response.

address
string
required

Blockchain deposit address.

id
string
required

0xProcessing currency identifier used to create this wallet.

network
string
required

Network name, e.g. "TRC20", "ERC20", "Bitcoin", "Solana".

tag
string | null

Memo/tag required for TON, XRP, etc. Null if not required.